# Interface StatementCacheMBean

All Known Implementing Classes:
  `StatementCache`

public interface StatementCacheMBean
MBean interface for monitoring the statement cache.

## Method Summary

Modifier and Type
Method
Description
`AtomicInteger`
`getCacheSize()`
Returns the current global cache size across all connections.
`int`
`getCacheSizePerConnection()`
Returns the cache size for the current connection.
`int`
`getMaxCacheSize()`
Returns the maximum size of the statement cache.
`boolean`
`isCacheCallable()`
Checks if callable statements are being cached.
`boolean`
`isCachePrepared()`
Checks if prepared statements are being cached.

## Method Details

### isCachePrepared

boolean isCachePrepared()
Checks if prepared statements are being cached.

Returns:
  true if prepared statement caching is enabled

### isCacheCallable

boolean isCacheCallable()
Checks if callable statements are being cached.

Returns:
  true if callable statement caching is enabled

### getMaxCacheSize

int getMaxCacheSize()
Returns the maximum size of the statement cache.

Returns:
  maximum cache size

### getCacheSize

AtomicInteger getCacheSize()
Returns the current global cache size across all connections.

Returns:
  current cache size counter

### getCacheSizePerConnection

int getCacheSizePerConnection()
Returns the cache size for the current connection.

Returns:
  number of cached statements for this connection